# -*- coding: utf-8 -*-
"""
pydiagram
=========

  ____        ____  _
 |  _ \ _   _|  _ \(_) __ _  __ _ _ __ __ _ _ __ ___
 | |_) | | | | | | | |/ _` |/ _` | '__/ _` | '_ ` _ \
 |  __/| |_| | |_| | | (_| | (_| | | | (_| | | | | | |
 |_|    \__, |____/|_|\__,_|\__, |_|  \__,_|_| |_| |_|
        |___/               |___/

``PyDiagram`` is a python package for creating a phase diagram from results generated by polymer field-theoretic simulations.

"""

__author__ = "Yi-Xin Liu <liuyxpp@gmail.com>"
__license__ = "BSD License"

from ._version import __version__  # NOQA

from .settings import *
from .config import *
from .utils import *
from .server import *
from .io import *
from .diagram import *
from .boundary import *
from .energy import *
from .size import *
from .accuracy import *
from .separation import *
from .plot import *
from .simulation import *
